Bug Hunting Session
Bug 42253 - Incorrect displaying attached docx document
Summary: Incorrect displaying attached docx document
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: x86 (IA32) All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: (target:4.4.0)
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-25 22:12 UTC by mikhail.v.gavrilov
Modified: 2014-07-21 13:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
problem file (47.75 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-10-25 22:12 UTC, mikhail.v.gavrilov
Details
screenshot (295.80 KB, image/png)
2013-06-27 15:07 UTC, mikhail.v.gavrilov
Details
Open the Problem File in LibreOffice 4.0.5.2 (292.88 KB, application/pdf)
2013-09-29 03:34 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2011-10-25 22:12:25 UTC
Created attachment 52774 [details]
problem file
Comment 1 s-joyemusequna 2012-02-21 10:25:14 UTC
Tested with LO 3.3.4, LO 3.4.5, and LO 3.5.0 (Windows XP / Vista 64), compared to Word 2007.

LO 3.3.4 : bad (tables have wrong size, text partially missing)

LO 3.4.5 : even worse, displays only 2 first tables, the rest is missing 

LO 3.5.0 : rather good (upper margin higher, logo messed up); probably good: the third table displays one more column and red triangles indicating that the table is not completely visible (this last column is invisible in Word, no indicatore here)
Comment 2 Kevin Suo 2013-06-27 13:35:41 UTC
I don't understant what you means.
* What do you expect? Will you please attach a screenshot for the expected layout? This is important.
* From which application was that file created?
* Since your bug report was really old and regard version 3.4.3, have you tested with the recent LibreOffice release?
Comment 3 mikhail.v.gavrilov 2013-06-27 15:07:01 UTC
Created attachment 81567 [details]
screenshot
Comment 4 mikhail.v.gavrilov 2013-06-27 15:15:24 UTC
(In reply to comment #2)
> I don't understant what you means.
> * What do you expect? Will you please attach a screenshot for the expected
> layout? This is important.
> * From which application was that file created?
> * Since your bug report was really old and regard version 3.4.3, have you
> tested with the recent LibreOffice release?

1. Image in Libre Office is cuted and stretched.
2. Table width is stretched.
3. Fonts are different. In original "Arial" font. Libre Office showed which it use "Arial" font too, but in Libre office font is stretched.
Comment 5 Kevin Suo 2013-09-29 03:34:49 UTC
Created attachment 86780 [details]
Open the Problem File in LibreOffice 4.0.5.2

Your file tested OK in 4.0.5.2. 

(Note that your header image is exactly what it is show in the pdf. Dont know hwo you made it in MO.)

However, table is streched and 100% width in 4.1.2.2.
Comment 6 Björn Michaelsen 2014-01-17 00:43:37 UTC
(This is an automated message.)

LibreOffice development currently prioritizes bugs with the so called MAB (most annoying bugs) -- as this bug has not run through that process (including writing a short rationale for this bug being a candidate and other who are watching the tracker bug silently approving that rationale etc.) its priority is set to high. Note this is effectively no change in the urgency assigned to this bug, as we are currently not making a difference between high and highest and severity is untouched.

You can find out more about MABs and how the process works by contacting libreoffice qa on irc:

 http://webchat.freenode.net/?channels=libreoffice-qa

The QA wiki page also gives you hints on how to get in contact with the team (if IRC fails you, your next best choice is the mailing list):

 https://wiki.documentfoundation.org/QA
Comment 7 Jorendc 2014-07-21 13:35:58 UTC
(In reply to comment #4) 
> 1. Image in Libre Office is cuted and stretched.
FIXED. Full image visible

> 2. Table width is stretched.
FIXED. Table width is 4,25cm, exactly the same as in Word 2013.

> 3. Fonts are different. In original "Arial" font. Libre Office showed which
> it use "Arial" font too, but in Libre office font is stretched.

Fonts are not different anymore. The font issue of the text you are pointing to in your screenshot is calibri 11 in Word 2013. It is also calibri 11 in LibreOffice now. Text with font Arial is the text above it, which is also shown correctly in LibreOffice (I can't see any spacing issues either).

I do see still some spacing issues in the fields, but that should be reported in another bug report.

Due to the fact all 3 issues are solved, I'll mark this bug as RESOLVED WORKSFORME.

Tested using Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: a82ff18269e5b37348d402b7c21c3f200068265c
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-20_02:34:36

Kind regards,
Joren